## qt3d-opensource-src 5.12.8+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 13:55:49 +0300

qt3d-opensource-src (5.12.5+dfsg-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:25 +0100

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.17.14),
               libassimp-dev (>= 4.1),
               libgl1-mesa-dri <!nocheck>,
               libqt5opengl5-dev (>= 5.12.8+dfsg~),
               pkg-kde-tools,
               pkgconf,
               qtbase5-dev (>= 5.12.8+dfsg~),
               qtbase5-private-dev (>= 5.12.8+dfsg~),
               qtdeclarative5-private-dev (>= 5.12.8~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
                     qtdeclarative5-doc-html (>= 5.12.8~) <!nodoc>,
                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
Standards-Version: 4.4.1
Homepage: https://doc.qt.io/qt-5/qt3d-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d

Package: libqt53dcore5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Core module.

Package: libqt53dquick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick module.

Package: libqt53dquickrender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick Renderer module.

Package: libqt53dinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Input module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Input module.

Package: libqt53drender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module.

Package: libqt53dlogic5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D logic module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Logic module.

Package: libqt53dquickinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick input
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick input module.

Package: libqt53dquickextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick extras module.

Package: libqt53dextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D extras module.

Package: libqt53dquickscene2d5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick scene module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D module.

Package: libqt53danimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Animation module.

Package: libqt53dquickanimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Animation module.

Package: qt3d5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
        qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Replaces: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
          qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Description: Qt 3D development tools
 Qt 3D provides functionality for near-realtime simulation systems with
 support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.
 .
 This package contains development programs to use with Qt 3D.
 .
 At the moment there is only one tool here, qgltf, which can be used to
 import a variety of 3D model formats and export it into fast-to-load,
 optimized glTF assets embedded into Qt resource files.

Package: qt3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Assimp scene import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Assimp scene import plugin.

Package: qt3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's default geometry loader plugin.

Package: qt3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Scene 2D plugin.

Package: qml-module-qt3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML module.

Package: qml-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 3D QML module.

Package: qml-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D QML module.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt53danimation5 (= ${binary:Version}),
         libqt53dcore5 (= ${binary:Version}),
         libqt53dextras5 (= ${binary:Version}),
         libqt53dinput5 (= ${binary:Version}),
         libqt53dlogic5 (= ${binary:Version}),
         libqt53dquick5 (= ${binary:Version}),
         libqt53dquickanimation5 (= ${binary:Version}),
         libqt53dquickextras5 (= ${binary:Version}),
         libqt53dquickinput5 (= ${binary:Version}),
         libqt53dquickrender5 (= ${binary:Version}),
         libqt53dquickscene2d5 (= ${binary:Version}),
         libqt53drender5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qt3d5-doc, qt3d5-doc-html
Description: Qt 5 3D development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: qml-module-qt3d,
         qml-module-qtquick-scene3d,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.

Package: qt3d5-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 3D libraries.

Package: qt3d5-doc-html
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

unstable_api = Animation Extras QuickAnimation QuickExtras

%:
	dh $@ --fail-missing --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private stuff
	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri

	# Also remove unstable API.
	set -e; for api in $(unstable_api); do \
		echo "Removing $$api stuff:" ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D$$api/ ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt53D$$api/ ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt53D$$api.prl ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt53D$$api.pc ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Qt3D/$$api.pc ; \
	done

	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake

	# Remove empty directories
	find $(CURDIR)/debian/tmp -type d -empty -delete

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif
endif

override_dh_auto_test-indep:

## qt3d-opensource-src 5.14.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:16:18 +0300

qt3d-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Pass --fail-missing to dh_missing, not to all debhelper commands.
  * Call dh_link in the override, to make debian/qt3d5-doc-html.links working.
  * Make debian/qt3d5-dev.install explicitly list all headers.
  * Use debian/not-installed instead of removal commands in debian/rules.
  * Install headers for Qt 3D Animation and Extras modules (closes: #909306).
  * Add api argument to Qt3DWindow constructor, to make its signature match
    Qt 5.15 branch and to avoid breaking ABI in the future.
  * Update symbols files for the new version. Private symbols are now properly
    marked as such because QTBUG-74752 was fixed.
  * Mark two QChangeArbiter symbols as optional for GCC 10 (closes: #957728).
  * Drop unused ${shlibs:Depends} variable from qt3d5-dev package depends.
  * Update to debhelper compat level 12, use the new syntax.
  * Add Build-Depends-Package field to the symbols files.
  * Remove build paths from .prl files for reproducibility.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Apr 2020 17:20:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.12.8+dfsg~),
+               libqt5opengl5-dev (>= 5.14.2+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.8~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -302,8 +301,7 @@
          libqt53dquickscene2d5 (= ${binary:Version}),
          libqt53drender5 (= ${binary:Version}),
          qtbase5-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Suggests: qt3d5-doc, qt3d5-doc-html
 Description: Qt 5 3D development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -342,3 +340,5 @@
 Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
+Description: Qt 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_missing:
	dh_missing --fail-missing

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif
endif

override_dh_auto_test-indep:

## qt3d-opensource-src 5.15.1%2Bdfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.1+dfsg-3+rpi1) bullseye-staging; urgency=medium

  * Update symbols file for raspbian.
  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 12 Nov 2020 12:19:45 +0000

qt3d-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Add a patch to disable tst_qtext2dentity::checkChangeArbiter() test on
    all OpenGL ES 2 environments, not just ANGLE (closes: #973440).
  * Add a patch to link the openglrenderer plugin with -latomic on riscv64.
  * Update debian/libqt53drender5.symbols for ppc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Oct 2020 21:03:47 +0300

qt3d-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:52:53 +0300

qt3d-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * Stop installing cmake files for the plugins.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update debian/copyright.
  * Remove qt3dwindow_constructor.diff, included in the new release.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop checking for nocheck option in test target, no longer needed.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update install files.
    - Install the OpenGL renderer plugin in libqt53drender5 package.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Sep 2020 13:40:51 +0300

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.14.2+dfsg~),
+               libqt5opengl5-dev (>= 5.15.1+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qtbase5-dev (>= 5.15.1+dfsg~),
+               qtbase5-private-dev (>= 5.15.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git

## qt3d-opensource-src 5.15.1.2%2Bdde

=== debian/changelog ===
qt3d-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.

  [ Debian Qt/KDE Maintainers ]
  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 16:38:55 +0800

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.1+dfsg~),
+               libqt5opengl5-dev (>= 5.15.1~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.1+dfsg~),
-               qtbase5-private-dev (>= 5.15.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.1+dfsg~),
+               qtbase5-dev (>= 5.15.1~),
+               qtbase5-private-dev (>= 5.15.1~),
+               qtdeclarative5-private-dev (>= 5.15.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.1~) <!nodoc>,
                      qttools5-dev-tools (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html

## qt3d-opensource-src 5.15.1.2+dde

=== debian/rules ===
--- 
+++ 
@@ -44,3 +44,5 @@
 endif
 
 override_dh_auto_test-indep:
+override_dh_dwz:
+	:

=== debian/watch ===
version=3
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qt3d-everywhere-src-([^-]*)\.tar.xz

## qt3d-opensource-src 5.15.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:28 +0300

qt3d-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt53drender5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Nov 2020 20:06:25 +0300

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,25 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.1~),
+               libqt5opengl5-dev (>= 5.15.2+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.1~),
-               qtbase5-private-dev (>= 5.15.1~),
-               qtdeclarative5-private-dev (>= 5.15.1~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -339,6 +341,3 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
-Depends: ${misc:Depends}
-Description: Qt 3D HTML documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature

## qt3d-opensource-src 5.15.3

=== debian/changelog ===
qt3d-opensource-src (5.15.3-1+dde) unstable; urgency=medium

  * New upstream release.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 01 Apr 2022 10:11:52 +0800

=== debian/control ===
--- 
+++ 
@@ -12,21 +12,21 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.2+dfsg~),
+               libqt5opengl5-dev (>= 5.15.3~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
+               qtbase5-dev (>= 5.15.3~),
+               qtbase5-private-dev (>= 5.15.3~),
+               qtdeclarative5-private-dev (>= 5.15.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.3~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -341,3 +341,4 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.3+dfsg

=== src/3rdparty/assimp/contrib/openddlparser/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( OpenDDL-Parser )
SET ( OPENDDL_PARSER_VERSION_MAJOR 0 )
SET ( OPENDDL_PARSER_VERSION_MINOR 1 )
SET ( OPENDDL_PARSER_VERSION_PATCH 0 )
SET ( OPENDDL_PARSER_VERSION ${OPENDDL_PARSER_VERSION_MAJOR}.${OPENDDL_PARSER_VERSION_MINOR}.${OPENDDL_PARSER_VERSION_PATCH} )
SET ( PROJECT_VERSION "${OPENDDL_PARSER_VERSION}" )

option( DDL_USE_CPP11           "Set to ON to use C++11 features ( always on on windows )."                   ON )
option( DDL_DEBUG_OUTPUT        "Set to ON to use output debug texts"                                         OFF )
option( DDL_STATIC_LIBRARY		"Set to ON to build static libary of OpenDDL Parser."                         ON )
option( COVERALLS               "Generate coveralls data"                                                     OFF )

if ( DDL_USE_CPP11 )
    if( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
        set( OPENDDL_CXXFLAGS -std=c++0x )
    elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set( OPENDDL_CXXFLAGS --std=c++11 )
    endif()
else( DDL_USE_CPP11 )
    add_definitions( -DOPENDDL_NO_USE_CPP11 )
endif( DDL_USE_CPP11)

if( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
    find_package(Threads)
else()
    add_definitions( -D_CRT_SECURE_NO_WARNINGS )
endif()

if ( DDL_STATIC_LIBRARY )
	add_definitions( -DOPENDDL_STATIC_LIBARY )
endif()

add_definitions( -DOPENDDLPARSER_BUILD )
add_definitions( -D_VARIADIC_MAX=10 )
add_definitions( -DGTEST_HAS_PTHREAD=0 )
if ( DDL_DEBUG_OUTPUT )
    add_definitions( -DDDL_DEBUG_HEADER_NAME)
endif()

INCLUDE_DIRECTORIES(
    ./
    include/
    contrib/gtest-1.7.0/include
    contrib/gtest-1.7.0/
)

link_directories(
    ${CMAKE_HOME_DIRECTORY}/lib
)

set( CMAKE_MODULE_PATH  ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake )
SET( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/lib )
SET( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/lib )
SET( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_HOME_DIRECTORY}/bin )

if( WIN32 AND NOT CYGWIN )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc" )  # Force to always compile with W4
  if( CMAKE_CXX_FLAGS MATCHES "/W[0-4]" )
    string( REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}" )
  else()
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4" )
  endif()
elseif( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic ${OPENDDL_CXXFLAGS}")
elseif ( "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" )
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long -pedantic ${OPENDDL_CXXFLAGS} -Wwrite-strings")
endif()

if (COVERALLS)
    include(Coveralls)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0 -fprofile-arcs -ftest-coverage")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0 -fprofile-arcs -ftest-coverage")
endif()

# Include the doc component.
FIND_PACKAGE( doxygen )
IF ( DOXYGEN_FOUND )
    CONFIGURE_FILE( doc/openddlparser_doc.in doc/doxygenfile @ONLY )
    ADD_CUSTOM_TARGET( doc ALL ${DOXYGEN_EXECUTABLE} doc/doxygenfile
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM )
ENDIF ( DOXYGEN_FOUND )

SET ( openddl_parser_src
    code/OpenDDLCommon.cpp
    code/OpenDDLExport.cpp
    code/OpenDDLParser.cpp
    code/OpenDDLStream.cpp
    code/DDLNode.cpp
    code/Value.cpp
    include/openddlparser/OpenDDLCommon.h
    include/openddlparser/OpenDDLExport.h
    include/openddlparser/OpenDDLParser.h
    include/openddlparser/OpenDDLParserUtils.h
    include/openddlparser/OpenDDLStream.h
    include/openddlparser/DDLNode.h
    include/openddlparser/Value.h
    README.md
)
 
SOURCE_GROUP( code            FILES ${openddl_parser_src} )

if ( DDL_STATIC_LIBRARY )
	ADD_LIBRARY( openddl_parser STATIC
		${openddl_parser_src}
	)
else()
	ADD_LIBRARY( openddl_parser SHARED
		${openddl_parser_src}
	)
endif()

SET ( GTEST_PATH contrib/gtest-1.7.0 )

SET ( gtest_src
    ${GTEST_PATH}/src/gtest-death-test.cc
    ${GTEST_PATH}/src/gtest-filepath.cc
    ${GTEST_PATH}/src/gtest-internal-inl.h
    ${GTEST_PATH}/src/gtest-port.cc
    ${GTEST_PATH}/src/gtest-printers.cc
    ${GTEST_PATH}/src/gtest-test-part.cc
    ${GTEST_PATH}/src/gtest-typed-test.cc
    ${GTEST_PATH}/src/gtest.cc
    ${GTEST_PATH}/src/gtest_main.cc
)

SET( openddl_parser_unittest_src  
    test/UnitTestCommon.h
    test/DDLNodeTest.cpp
    test/OpenDDLCommonTest.cpp
    test/OpenDDLExportTest.cpp
    test/OpenDDLParserTest.cpp
    test/OpenDDLParserUtilsTest.cpp
    test/OpenDDLStreamTest.cpp
    test/OpenDDLIntegrationTest.cpp
    test/ValueTest.cpp
    test/OpenDDLDefectsTest.cpp
)

SOURCE_GROUP( code  FILES ${openddl_parser_unittest_src} )
SOURCE_GROUP( gtest FILES ${gtest_src} )

ADD_EXECUTABLE( openddl_parser_unittest 
    ${gtest_src}
    ${openddl_parser_unittest_src}
)

target_link_libraries( openddl_parser_unittest openddl_parser ${CMAKE_THREAD_LIBS_INIT} )

SET( openddl_parser_demo_src  
    demo/main.cpp 
)

if (COVERALLS)
    set(COVERAGE_SRCS     ${gtest_src} ${openddl_parser_unittest_src} )

    # Create the coveralls target.
    coveralls_setup(
        "${COVERAGE_SRCS}" # The source files.
        ON                 # If we should upload.
        "${PROJECT_SOURCE_DIR}/cmake/") # (Optional) Alternate project cmake module path.
endif()

ADD_EXECUTABLE( openddl_parser_demo
    ${openddl_parser_demo_src}
) 

target_link_libraries( openddl_parser_demo openddl_parser )

=== debian/changelog ===
qt3d-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Add one new symbol to debian/libqt53drender5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Mar 2022 16:46:35 +0300

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.3~),
+               libqt5opengl5-dev (>= 5.15.3+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.3~),
-               qtbase5-private-dev (>= 5.15.3~),
-               qtdeclarative5-private-dev (>= 5.15.3~),
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.3~) <!nodoc>
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
 Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
@@ -341,4 +341,3 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
-Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.6

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.3+dfsg~),
+               libqt5opengl5-dev (>= 5.15.6~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
+               qtbase5-dev (>= 5.15.6~),
+               qtbase5-private-dev (>= 5.15.6~),
+               qtdeclarative5-private-dev (>= 5.15.6~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.6~) <!nodoc>
 Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
@@ -341,3 +341,4 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.6+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:47 +0300

qt3d-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 14:02:58 +0300

qt3d-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 12:04:00 +0300

qt3d-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:10 +0300

qt3d-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:57:34 +0300

=== debian/control ===
--- 
+++ 
@@ -12,21 +12,21 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.6~),
+               libqt5opengl5-dev (>= 5.15.6+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.6~),
-               qtbase5-private-dev (>= 5.15.6~),
-               qtdeclarative5-private-dev (>= 5.15.6~),
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.6~) <!nodoc>
-Standards-Version: 4.6.0
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -341,4 +341,3 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
-Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.7

=== debian/changelog ===
qt3d-opensource-src (5.15.7-1+dde) unstable; urgency=medium

  * New upstream release (5.15.7).

 -- Duan Ting <duanting@uniontech.com>  Mon, 14 Nov 2022 18:05:54 +0800

qt3d-opensource-src (5.15.3.1-1+deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Aug 2022 10:08:54 +0800

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,28 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Timo Jyrinki <timo@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
-           Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.6+dfsg~),
+               libqt5opengl5-dev (>= 5.15.7~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qtbase5-dev (>= 5.15.7~),
+               qtbase5-private-dev (>= 5.15.7~),
+               qtdeclarative5-private-dev (>= 5.15.7~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.7~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.7~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
 Package: libqt53dcore5
 Architecture: any
@@ -341,3 +334,9 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}
+Description: Qt 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 3D libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
#ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x sw64))
#	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
#	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
#else
#	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
#	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
#endif

override_dh_auto_test-indep:
